Query MoH Playlists
Query MoH (music on hold) playlists.
Request URL
GET {base_url}/{api_path}/play_list/list?access_token={access_token}
Request parameters
| Parameter | Required | Type | Description |
|---|---|---|---|
| page | No | Integer | Define which page is displayed. |
| page_size | No | Integer | Define how many records per page. |
Response parameters
| Parameter | Type | Description |
|---|---|---|
| errcode | Integer | Returned error code.
|
| errmsg | String | Returned message.
|
| total_number | Integer | The total number of MoH playlists. |
| play_list | Array <MoH_Playlist> | The basic information of each MoH playlist. |
MoH_Playlist
| Parameter | Type | Description |
|---|---|---|
| id | Integer | The unique ID of the MoH playlist. |
| list_name | String | The name of the MoH playlist. |
| play_order | String | Playback order of the MoH in the playlist.
|
| list_type | Integer | The type of the MoH playlist.
|
| stream_url | String | The URL of the streaming music. |
| prompt_list | Array <MoH_File> | The information of each MoH file. |
MoH_File
| Parameter | Type | Description |
|---|---|---|
| file | String | The name of the MoH file. |
Examples
Request example
GET /openapi/v1.0/play_list/list?access_token=Av4ZxfcjqeHAWvNK9IeISDC6TnmiTpra HTTP/1.1 Host: 192.168.5.150:8088
Response example
HTTP/1.1 200 OK
{
"errcode": 0,
"errmsg": "SUCCESS",
"total_number": 2,
"play_list": [
{
"id": 14,
"list_name": "SoftBreeze",
"play_order": "random",
"list_type": 1,
"stream_url": "",
"prompt_list": [
{
"file": "DawnChime.wav"
},
{
"file": "WhisperingPine.wav"
}
]
},
{
"id": 15,
"list_name": "CalmPulse",
"play_order": "random",
"list_type": 1,
"stream_url": "",
"prompt_list": [
{
"file": "SilentTide.wav"
},
{
"file": "CloudLullaby.wav"
}
]
}
]
}